
Redmine - Feature #11069

Ability to search tasks of Locked Users

2012-05-31 18:48 - Paul paul

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

I need to be able to search open / closed tasks of Locked users.

However, the minute they are locked, they no longer appear in the list of people that can be searched for in "Assigned To" field of

Issues filter.

Related issues:

Related to Redmine - Feature #15201: Filter "Assignee" should contain locked ... Closed

Related to Redmine - Feature #24568: Show locked users in 'Users' filter for ... Closed

History

#1 - 2012-05-31 19:20 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from Can't search tasks of Locked Users to Ability to search tasks of Locked Users

#2 - 2012-08-27 16:02 - Gurvan Le Dromaguet

+1

When I lock a user, I change assignee for non closed tickets. But authors are there forever, so it should be possible to view a locked user in the

author based querying.

#3 - 2013-09-09 15:01 - Ksenia Altbregen

- File patch_for_locked_users_query.diff added

This is a simple patch that makes possible to query issues by locked authors or assignees.

#4 - 2013-09-10 13:58 - Ksenia Altbregen

- File patch_for_locked_users_query.diff added

Fixes previous patch for subprojects

#5 - 2013-09-19 05:14 - Akiko Takano

+1

In our projects, members often come and go, and the are locked.

#6 - 2013-11-14 16:21 - William Roush

+1

Ran into this when moving tickets from a terminated employee.

#7 - 2014-08-15 15:42 - Deoren Moor

+1

We have to en-enable locked accounts just to filter on issues where they're an author.

#8 - 2014-09-14 07:21 - Toshi MARUYAMA

- Category set to Issues
#9 - 2014-09-14 07:23 - Toshi MARUYAMA

- Related to Feature #15201: Filter "Assignee" should contain locked users added

#10 - 2015-06-22 10:49 - Ismael Barros²

+1

#11 - 2016-10-10 11:00 - Stephane Lapie

+1

#12 - 2016-10-20 13:40 - Sonia Zh

+ 1

#13 - 2016-12-11 05:29 - Go MAEDA

- Related to Feature #24568: Show locked users in 'Users' filter for 'Spent time' report added

#14 - 2017-05-10 16:13 - Olivier Houdas

+1

#15 - 2017-10-09 07:40 - Marius BĂLTEANU

I've added a patch to #15201 that adds the locked members to the Assignee, Author  and User (from Spent time) filters.

#16 - 2018-06-09 10:21 - Go MAEDA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Duplicate

In upcoming Redmine 4.0.0, you will be able to select locked users in filters. Please see #15201 for details.

Files

patch_for_locked_users_query.diff 3 KB 2013-09-09 Ksenia Altbregen

patch_for_locked_users_query.diff 3.23 KB 2013-09-10 Ksenia Altbregen

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/issues/15201
https://www.redmine.org/issues/15201
http://www.tcpdf.org

